Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQLocalFs Class Reference
[network module]

The TQLocalFs class is an implementation of a TQNetworkProtocol that works on the local file system. More...

`#include <ntqlocalfs.h>`

Inherits TQNetworkProtocol.

List of all member functions.

## Public Members

- TQLocalFs ()

## Detailed Description

The TQLocalFs class is an implementation of a TQNetworkProtocol that works on the local file system.

This class is derived from TQNetworkProtocol. TQLocalFs is not normally used directly, but rather through a TQUrlOperator, for example:

        TQUrlOperator op( "file:///tmp" );
        op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the TQLocalFs class is registered; to register the class, you must call tqInitNetworkProtocols() before using a TQUrlOperator with TQLocalFs.

If you really need to use TQLocalFs directly, don't forget to set its TQUrlOperator with setUrl().

See also TQt Network Documentation, TQNetworkProtocol, TQUrlOperator, and Input/Output and Networking.

## Member Function Documentation

### TQLocalFs::TQLocalFs ()

Constructor.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.